Skip to main content
GET
/
reports
/
v2
/
events
/
{id}
Get Event by ID
curl --request GET \
  --url https://api.hubapi.com/reports/v2/events/{id}
import requests

url = "https://api.hubapi.com/reports/v2/events/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.hubapi.com/reports/v2/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "status": "<string>",
  "name": "<string>",
  "label": "<string>"
}
{
"category": "<string>",
"correlationId": "<string>",
"message": "<string>",
"subCategory": "<string>",
"errors": [
{
"message": "<string>",
"in": "<string>",
"code": "<string>",
"subCategory": "<string>",
"context": {}
}
],
"context": {},
"links": {}
}

Path Parameters

id
string
required

The ID of the specific event you're looking to pull.

Query Parameters

includeDeletes
boolean
default:false

If specified as true, will return a deleted event.

Response

Event retrieved successfully

id
string
required

The event ID

status
string
required

The event status

name
string

The event name

label
string

The event label

Last modified on March 27, 2026